TESTING/EIG/dget10.f(3)

NAME
TESTING/EIG/dget10.f

SYNOPSIS

  Functions/Subroutines
subroutine dget10 (m, n, a, lda, b, ldb, work, result)
DGET10

Function/Subroutine Documentation

  subroutine dget10 (integer m, integer n, double precision, dimension( lda, * ) a, integer lda, double precision, dimension( ldb, * ) b, integer ldb, double precision, dimension( * ) work, double precision result)

DGET10

Purpose:

    !>
    !> DGET10 compares two matrices A and B and computes the ratio
    !> RESULT = norm( A - B ) / ( norm(A) * M * EPS )
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrices A and B.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrices A and B.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(1,M).
    !>

    B

    !>          B is DOUBLE PRECISION array, dimension (LDB,N)
    !>          The m by n matrix B.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B.  LDB >= max(1,M).
    !>

    WORK

    !>          WORK is DOUBLE PRECISION array, dimension (M)
    !>

    RESULT

    !>          RESULT is DOUBLE PRECISION
    !>          RESULT = norm( A - B ) / ( norm(A) * M * EPS )
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 92 of file dget10.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.